sccs-init(1)

NAME
sccs-init - create a new SCCS repository in the given directory

SYNOPSIS
sccs init [options] [directory1 .. directoryn]

DESCRIPTION
The init subcommand creates a new SCCS repository in the given list of directories. If no directory argument is given, the current working directory is used.

This subcommand is a project extension that does not exist in historic sccs implementations.

OPTIONS

-f  Force to initialize even if already initialized. This also permits to create a SCCS repositary insiden an existing repository.

-i  Select in tree mode for the SCCS history files. The history files are kept in a directory SCCS inside the directory where the g-files are located. The default is to create an off tree repository that keeps the history files in a shadow tree under .sccs/data.

-s  Create a new repository with separately managed files does not support project bundling.

EXAMPLES

To create a new SCCS repository in the current directory call:

    sccs init .

ENVIRONMENT VARIABLES

See environ(5) for descriptions of the following environment variables that affect the execution of val(1): LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, and NLSPATH.

SCCS_NO_HELP
    If set, sccs init will not automatically call help(1) with the SCCS error code in order to print a more helpful error message. Scripts that depend on the exact error messages of SCCS commands should set the environment variable SCCS_NO_HELP and set LC_ALL=C.

FILES

SEE ALSO

sccs(1), sccs-admin(1), sccs-cdc(1), sccs-comb(1), sccs-cvt(1), sccs-delta(1), sccs-get(1), sccs-help(1), sccs-log(1), sccs-prs(1), sccs-prt(1), sccs-rmdel(1), sccs-sact(1), sccs-sccsdiff(1), sccs-unget(1), sccs-val(1), what(1), sccschangeset(4), sccsfile(4).

DIAGNOSTICS

NOTES

BUGS

AUTHOR
sccs init was originally written by Joerg Schilling in 2015 and is still maintained by Joerg Schilling.

SOURCE DOWNLOAD
A frequently updated source code for the SCCS suite is included in the schilytools project and may be retrieved from the schilytools project at Sourceforge at:

    http://sourceforge.net/projects/schilytools/

The download directory is:

    http://sourceforge.net/projects/schilytools/files/

Check for the schily-*.tar.bz2 archives.

Less frequently updated source code for the SCCS suite is at:

    http://sourceforge.net/projects/sccs/files/

Separate project informations for the SCCS project may be retrieved from:

    http://sccs.sf.net